com.informix.jdbc

## Class IfxMessageTypes

- java.lang.Object
- - com.informix.jdbc.IfxMessageTypes

    public class IfxMessageTypes
    extends java.lang.Object

### Field Summary

Fields
`protected static short` `INFO_CAPABILITY`
`protected static short` `INFO_DB`
`protected static short` `INFO_DONE`
`protected static short` `INFO_ENV`
`protected static short` `INFO_MAX`
`protected static short` `INFO_REQUEST`
`protected static short` `INFO_TYPE`
`protected static short` `INFO_VERSION`
`protected static short` `SQ_ACCEPT`
`protected static short` `SQ_ACK`
`protected static short` `SQ_AMFPARAM`
`protected static short` `SQ_ARCHIVE`
`protected static short` `SQ_AUTOFREE`
`protected static short` `SQ_BATCHEND`
`protected static short` `SQ_BATCHSTART`
`protected static short` `SQ_BBIND`
`protected static short` `SQ_BEGIN`
`protected static short` `SQ_BEGIN_NOREPL`
`protected static short` `SQ_BIND`
`protected static short` `SQ_BLOB`
`protected static short` `SQ_CALLBACK`
`protected static short` `SQ_CFPDESCRIBE`
`protected static short` `SQ_CHALLENGE`
`protected static short` `SQ_CIDESCRIBE`
`protected static short` `SQ_CLOSE`
`protected static short` `SQ_CMMTWORK`
`protected static short` `SQ_COMMAND` The set of known messages that we send between the client and the server
`protected static short` `SQ_CONNECT`
`protected static short` `SQ_COST`
`protected static short` `SQ_CURNAME`
`protected static short` `SQ_DBCLOSE`
`protected static short` `SQ_DBLIST`
`protected static short` `SQ_DBOPEN`
`protected static short` `SQ_DCATALOG`
`protected static short` `SQ_DDR`
`protected static short` `SQ_DEFER`
`protected static short` `SQ_DESCBIND`
`protected static short` `SQ_DESCRIBE`
`protected static short` `SQ_DEXFPROUTINE`
`protected static short` `SQ_DFPARAM`
`protected static short` `SQ_DGETROUTINE`
`protected static short` `SQ_DISCONNECT`
`protected static short` `SQ_DISTFETCH`
`protected static short` `SQ_DLEXIT`
`protected static short` `SQ_DONE`
`protected static short` `SQ_DPREPARE`
`protected static short` `SQ_DRAIN_MEM`
`static short` `SQ_EOT`
`protected static short` `SQ_ERR`
`protected static short` `SQ_EXCEPTION`
`protected static short` `SQ_EXECUTE`
`protected static short` `SQ_EXFPROUTINE`
`static short` `SQ_EXIT`
`protected static short` `SQ_EXPROC`
`protected static short` `SQ_EXSELECT`
`protected static short` `SQ_FERR`
`protected static short` `SQ_FETARRSIZE`
`protected static short` `SQ_FETCHBLOB`
`protected static short` `SQ_FILE`
`protected static short` `SQ_FILE_READ`
`protected static short` `SQ_FILE_WRITE`
`protected static short` `SQ_FP_PROCINFO`
`protected static short` `SQ_FPARAM`
`protected static short` `SQ_FPROUTINE`
`protected static short` `SQ_GETHIERARCHY`
`protected static short` `SQ_GETROUTINE`
`protected static short` `SQ_HOLD`
`protected static short` `SQ_ID`
`protected static short` `SQ_IDESCRIBE`
`protected static short` `SQ_IFPDESCRIBE`
`protected static short` `SQ_INFO`
`protected static short` `SQ_INSERTDONE`
`protected static short` `SQ_INTERNALVER`
`protected static short` `SQ_INVOKE`
`protected static short` `SQ_ISOLEVEL`
`protected static short` `SQ_LOCKWAIT`
`protected static short` `SQ_LODATA`
`protected static short` `SQ_MAXNUM`
`protected static short` `SQ_MISCFLAGS`
`protected static short` `SQ_NDESC_ID`
`protected static short` `SQ_NDESCRIBE`
`protected static short` `SQ_NFETCH`
`protected static short` `SQ_NLS`
`protected static short` `SQ_ONASSIST`
`protected static short` `SQ_ONUTIL`
`protected static short` `SQ_OPEN`
`protected static short` `SQ_PCLOSE`
`protected static short` `SQ_PCOMMAND`
`protected static short` `SQ_PDELETE`
`protected static short` `SQ_PFETCH`
`protected static short` `SQ_PLOAD`
`protected static short` `SQ_POPEN`
`protected static short` `SQ_PPUT`
`protected static short` `SQ_PREPARE`
`protected static short` `SQ_PROTOCOLS`
`protected static short` `SQ_PUEXECUTE`
`protected static short` `SQ_PUPDATE`
`protected static short` `SQ_PUT`
`protected static short` `SQ_PUTERR`
`protected static short` `SQ_RBWORK`
`protected static short` `SQ_REASSOC`
`protected static short` `SQ_RELCOLL`
`protected static short` `SQ_RELEASE`
`protected static short` `SQ_REMDML`
`protected static short` `SQ_REMNAME`
`protected static short` `SQ_REMPERMS`
`protected static short` `SQ_REMPPERMS`
`protected static short` `SQ_REMPROC`
`protected static short` `SQ_REMTAB`
`protected static short` `SQ_REMUTYPE`
`protected static short` `SQ_REOPTOPEN`
`protected static short` `SQ_REPLY`
`protected static short` `SQ_RESPONSE`
`protected static short` `SQ_RET_TYPE`
`protected static short` `SQ_SBBIND`
`protected static short` `SQ_SCROLL`
`protected static short` `SQ_SERVEROWNER`
`protected static short` `SQ_SETCONN`
`protected static short` `SQ_SETGTRID`
`protected static short` `SQ_SFETCH`
`protected static short` `SQ_SGKDESCRIBE`
`protected static short` `SQ_SGKPREPARE`
`protected static short` `SQ_SGKTUPLE`
`protected static short` `SQ_SQLIRBACKSVPT`
`protected static short` `SQ_SQLIRELSVPT`
`protected static short` `SQ_SQLISETSVPT`
`protected static short` `SQ_SVPOINT`
`protected static short` `SQ_TRIGLVL`
`protected static short` `SQ_TUPID`
`protected static short` `SQ_TUPLE`
`protected static short` `SQ_TXFORGET`
`protected static short` `SQ_TXINQUIRE`
`protected static short` `SQ_TXPREPARE`
`protected static short` `SQ_TXREADONLY`
`protected static short` `SQ_TXSTATE`
`protected static short` `SQ_UUID`
`protected static short` `SQ_VERSION`
`protected static short` `SQ_VERSION_REPLY`
`protected static short` `SQ_VERSION_REQ`
`protected static short` `SQ_VPUT`
`protected static short` `SQ_WANTDONE`
`protected static short` `SQ_XACTSTAT`
`static short` `SQ_XASTATE`
`static short` `SQ_XCLOSE`
`static short` `SQ_XCOMMIT`
`static short` `SQ_XEND`
`static short` `SQ_XERR`
`static short` `SQ_XFORGET`
`static short` `SQ_XOPEN`
`static short` `SQ_XPREPARE`
`static short` `SQ_XRECOVER`
`static short` `SQ_XROLLBACK`
`static short` `SQ_XSTART`

### Constructor Summary

Constructors
Constructor and Description
`IfxMessageTypes()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SQ_COMMAND

    protected static final short SQ_COMMAND

The set of known messages that we send between the client and the server

See Also:
  Constant Field Values

#### SQ_PREPARE

    protected static final short SQ_PREPARE

See Also:
  Constant Field Values

#### SQ_CURNAME

    protected static final short SQ_CURNAME

See Also:
  Constant Field Values

#### SQ_ID

    protected static final short SQ_ID

See Also:
  Constant Field Values

#### SQ_BIND

    protected static final short SQ_BIND

See Also:
  Constant Field Values

#### SQ_OPEN

    protected static final short SQ_OPEN

See Also:
  Constant Field Values

#### SQ_EXECUTE

    protected static final short SQ_EXECUTE

See Also:
  Constant Field Values

#### SQ_DESCRIBE

    protected static final short SQ_DESCRIBE

See Also:
  Constant Field Values

#### SQ_NFETCH

    protected static final short SQ_NFETCH

See Also:
  Constant Field Values

#### SQ_CLOSE

    protected static final short SQ_CLOSE

See Also:
  Constant Field Values

#### SQ_RELEASE

    protected static final short SQ_RELEASE

See Also:
  Constant Field Values

#### SQ_EOT

    public static final short SQ_EOT

See Also:
  Constant Field Values

#### SQ_ERR

    protected static final short SQ_ERR

See Also:
  Constant Field Values

#### SQ_TUPLE

    protected static final short SQ_TUPLE

See Also:
  Constant Field Values

#### SQ_DONE

    protected static final short SQ_DONE

See Also:
  Constant Field Values

#### SQ_EXSELECT

    protected static final short SQ_EXSELECT

See Also:
  Constant Field Values

#### SQ_PUT

    protected static final short SQ_PUT

See Also:
  Constant Field Values

#### SQ_PUTERR

    protected static final short SQ_PUTERR

See Also:
  Constant Field Values

#### SQ_CMMTWORK

    protected static final short SQ_CMMTWORK

See Also:
  Constant Field Values

#### SQ_RBWORK

    protected static final short SQ_RBWORK

See Also:
  Constant Field Values

#### SQ_SVPOINT

    protected static final short SQ_SVPOINT

See Also:
  Constant Field Values

#### SQ_NDESCRIBE

    protected static final short SQ_NDESCRIBE

See Also:
  Constant Field Values

#### SQ_SFETCH

    protected static final short SQ_SFETCH

See Also:
  Constant Field Values

#### SQ_SCROLL

    protected static final short SQ_SCROLL

See Also:
  Constant Field Values

#### SQ_TUPID

    protected static final short SQ_TUPID

See Also:
  Constant Field Values

#### SQ_DBLIST

    protected static final short SQ_DBLIST

See Also:
  Constant Field Values

#### SQ_PCOMMAND

    protected static final short SQ_PCOMMAND

See Also:
  Constant Field Values

#### SQ_POPEN

    protected static final short SQ_POPEN

See Also:
  Constant Field Values

#### SQ_PCLOSE

    protected static final short SQ_PCLOSE

See Also:
  Constant Field Values

#### SQ_PFETCH

    protected static final short SQ_PFETCH

See Also:
  Constant Field Values

#### SQ_PDELETE

    protected static final short SQ_PDELETE

See Also:
  Constant Field Values

#### SQ_PUPDATE

    protected static final short SQ_PUPDATE

See Also:
  Constant Field Values

#### SQ_PUEXECUTE

    protected static final short SQ_PUEXECUTE

See Also:
  Constant Field Values

#### SQ_PPUT

    protected static final short SQ_PPUT

See Also:
  Constant Field Values

#### SQ_BEGIN

    protected static final short SQ_BEGIN

See Also:
  Constant Field Values

#### SQ_DBOPEN

    protected static final short SQ_DBOPEN

See Also:
  Constant Field Values

#### SQ_DBCLOSE

    protected static final short SQ_DBCLOSE

See Also:
  Constant Field Values

#### SQ_FETCHBLOB

    protected static final short SQ_FETCHBLOB

See Also:
  Constant Field Values

#### SQ_BLOB

    protected static final short SQ_BLOB

See Also:
  Constant Field Values

#### SQ_FERR

    protected static final short SQ_FERR

See Also:
  Constant Field Values

#### SQ_BBIND

    protected static final short SQ_BBIND

See Also:
  Constant Field Values

#### SQ_DPREPARE

    protected static final short SQ_DPREPARE

See Also:
  Constant Field Values

#### SQ_HOLD

    protected static final short SQ_HOLD

See Also:
  Constant Field Values

#### SQ_DCATALOG

    protected static final short SQ_DCATALOG

See Also:
  Constant Field Values

#### SQ_REMTAB

    protected static final short SQ_REMTAB

See Also:
  Constant Field Values

#### SQ_REMNAME

    protected static final short SQ_REMNAME

See Also:
  Constant Field Values

#### SQ_ISOLEVEL

    protected static final short SQ_ISOLEVEL

See Also:
  Constant Field Values

#### SQ_LOCKWAIT

    protected static final short SQ_LOCKWAIT

See Also:
  Constant Field Values

#### SQ_WANTDONE

    protected static final short SQ_WANTDONE

See Also:
  Constant Field Values

#### SQ_REMPERMS

    protected static final short SQ_REMPERMS

See Also:
  Constant Field Values

#### SQ_SBBIND

    protected static final short SQ_SBBIND

See Also:
  Constant Field Values

#### SQ_VERSION

    protected static final short SQ_VERSION

See Also:
  Constant Field Values

#### SQ_DEFER

    protected static final short SQ_DEFER

See Also:
  Constant Field Values

#### SQ_COST

    protected static final short SQ_COST

See Also:
  Constant Field Values

#### SQ_EXIT

    public static final short SQ_EXIT

See Also:
  Constant Field Values

#### SQ_DLEXIT

    protected static final short SQ_DLEXIT

See Also:
  Constant Field Values

#### SQ_REMPROC

    protected static final short SQ_REMPROC

See Also:
  Constant Field Values

#### SQ_EXPROC

    protected static final short SQ_EXPROC

See Also:
  Constant Field Values

#### SQ_REMDML

    protected static final short SQ_REMDML

See Also:
  Constant Field Values

#### SQ_TXPREPARE

    protected static final short SQ_TXPREPARE

See Also:
  Constant Field Values

#### SQ_TXREADONLY

    protected static final short SQ_TXREADONLY

See Also:
  Constant Field Values

#### SQ_TXFORGET

    protected static final short SQ_TXFORGET

See Also:
  Constant Field Values

#### SQ_TXINQUIRE

    protected static final short SQ_TXINQUIRE

See Also:
  Constant Field Values

#### SQ_XROLLBACK

    public static final short SQ_XROLLBACK

See Also:
  Constant Field Values

#### SQ_XCLOSE

    public static final short SQ_XCLOSE

See Also:
  Constant Field Values

#### SQ_XCOMMIT

    public static final short SQ_XCOMMIT

See Also:
  Constant Field Values

#### SQ_XEND

    public static final short SQ_XEND

See Also:
  Constant Field Values

#### SQ_XFORGET

    public static final short SQ_XFORGET

See Also:
  Constant Field Values

#### SQ_XPREPARE

    public static final short SQ_XPREPARE

See Also:
  Constant Field Values

#### SQ_XRECOVER

    public static final short SQ_XRECOVER

See Also:
  Constant Field Values

#### SQ_XSTART

    public static final short SQ_XSTART

See Also:
  Constant Field Values

#### SQ_XERR

    public static final short SQ_XERR

See Also:
  Constant Field Values

#### SQ_XASTATE

    public static final short SQ_XASTATE

See Also:
  Constant Field Values

#### SQ_DESCBIND

    protected static final short SQ_DESCBIND

See Also:
  Constant Field Values

#### SQ_REMPPERMS

    protected static final short SQ_REMPPERMS

See Also:
  Constant Field Values

#### SQ_SETGTRID

    protected static final short SQ_SETGTRID

See Also:
  Constant Field Values

#### SQ_MISCFLAGS

    protected static final short SQ_MISCFLAGS

See Also:
  Constant Field Values

#### SQ_TRIGLVL

    protected static final short SQ_TRIGLVL

See Also:
  Constant Field Values

#### SQ_NLS

    protected static final short SQ_NLS

See Also:
  Constant Field Values

#### SQ_INFO

    protected static final short SQ_INFO

See Also:
  Constant Field Values

#### SQ_XOPEN

    public static final short SQ_XOPEN

See Also:
  Constant Field Values

#### SQ_ARCHIVE

    protected static final short SQ_ARCHIVE

See Also:
  Constant Field Values

#### SQ_TXSTATE

    protected static final short SQ_TXSTATE

See Also:
  Constant Field Values

#### SQ_DISTFETCH

    protected static final short SQ_DISTFETCH

See Also:
  Constant Field Values

#### SQ_REASSOC

    protected static final short SQ_REASSOC

See Also:
  Constant Field Values

#### SQ_REOPTOPEN

    protected static final short SQ_REOPTOPEN

See Also:
  Constant Field Values

#### SQ_REMUTYPE

    protected static final short SQ_REMUTYPE

See Also:
  Constant Field Values

#### SQ_PLOAD

    protected static final short SQ_PLOAD

See Also:
  Constant Field Values

#### SQ_ONASSIST

    protected static final short SQ_ONASSIST

See Also:
  Constant Field Values

#### SQ_DDR

    protected static final short SQ_DDR

See Also:
  Constant Field Values

#### SQ_FETARRSIZE

    protected static final short SQ_FETARRSIZE

See Also:
  Constant Field Values

#### SQ_ONUTIL

    protected static final short SQ_ONUTIL

See Also:
  Constant Field Values

#### SQ_INSERTDONE

    protected static final short SQ_INSERTDONE

See Also:
  Constant Field Values

#### SQ_LODATA

    protected static final short SQ_LODATA

See Also:
  Constant Field Values

#### SQ_FILE

    protected static final short SQ_FILE

See Also:
  Constant Field Values

#### SQ_XACTSTAT

    protected static final short SQ_XACTSTAT

See Also:
  Constant Field Values

#### SQ_RET_TYPE

    protected static final short SQ_RET_TYPE

See Also:
  Constant Field Values

#### SQ_GETROUTINE

    protected static final short SQ_GETROUTINE

See Also:
  Constant Field Values

#### SQ_EXFPROUTINE

    protected static final short SQ_EXFPROUTINE

See Also:
  Constant Field Values

#### SQ_FPROUTINE

    protected static final short SQ_FPROUTINE

See Also:
  Constant Field Values

#### SQ_FPARAM

    protected static final short SQ_FPARAM

See Also:
  Constant Field Values

#### SQ_RELCOLL

    protected static final short SQ_RELCOLL

See Also:
  Constant Field Values

#### SQ_FILE_READ

    protected static final short SQ_FILE_READ

See Also:
  Constant Field Values

#### SQ_FILE_WRITE

    protected static final short SQ_FILE_WRITE

See Also:
  Constant Field Values

#### SQ_AUTOFREE

    protected static final short SQ_AUTOFREE

See Also:
  Constant Field Values

#### SQ_SERVEROWNER

    protected static final short SQ_SERVEROWNER

See Also:
  Constant Field Values

#### SQ_INTERNALVER

    protected static final short SQ_INTERNALVER

See Also:
  Constant Field Values

#### SQ_NDESC_ID

    protected static final short SQ_NDESC_ID

See Also:
  Constant Field Values

#### SQ_CONNECT

    protected static final short SQ_CONNECT

See Also:
  Constant Field Values

#### SQ_SETCONN

    protected static final short SQ_SETCONN

See Also:
  Constant Field Values

#### SQ_DISCONNECT

    protected static final short SQ_DISCONNECT

See Also:
  Constant Field Values

#### SQ_BEGIN_NOREPL

    protected static final short SQ_BEGIN_NOREPL

See Also:
  Constant Field Values

#### SQ_DGETROUTINE

    protected static final short SQ_DGETROUTINE

See Also:
  Constant Field Values

#### SQ_DEXFPROUTINE

    protected static final short SQ_DEXFPROUTINE

See Also:
  Constant Field Values

#### SQ_DFPARAM

    protected static final short SQ_DFPARAM

See Also:
  Constant Field Values

#### SQ_FP_PROCINFO

    protected static final short SQ_FP_PROCINFO

See Also:
  Constant Field Values

#### SQ_GETHIERARCHY

    protected static final short SQ_GETHIERARCHY

See Also:
  Constant Field Values

#### SQ_DRAIN_MEM

    protected static final short SQ_DRAIN_MEM

See Also:
  Constant Field Values

#### SQ_CALLBACK

    protected static final short SQ_CALLBACK

See Also:
  Constant Field Values

#### SQ_UUID

    protected static final short SQ_UUID

See Also:
  Constant Field Values

#### SQ_CIDESCRIBE

    protected static final short SQ_CIDESCRIBE

See Also:
  Constant Field Values

#### SQ_IDESCRIBE

    protected static final short SQ_IDESCRIBE

See Also:
  Constant Field Values

#### SQ_PROTOCOLS

    protected static final short SQ_PROTOCOLS

See Also:
  Constant Field Values

#### SQ_ACCEPT

    protected static final short SQ_ACCEPT

See Also:
  Constant Field Values

#### SQ_ACK

    protected static final short SQ_ACK

See Also:
  Constant Field Values

#### SQ_CHALLENGE

    protected static final short SQ_CHALLENGE

See Also:
  Constant Field Values

#### SQ_RESPONSE

    protected static final short SQ_RESPONSE

See Also:
  Constant Field Values

#### SQ_CFPDESCRIBE

    protected static final short SQ_CFPDESCRIBE

See Also:
  Constant Field Values

#### SQ_IFPDESCRIBE

    protected static final short SQ_IFPDESCRIBE

See Also:
  Constant Field Values

#### SQ_VPUT

    protected static final short SQ_VPUT

See Also:
  Constant Field Values

#### SQ_SGKPREPARE

    protected static final short SQ_SGKPREPARE

See Also:
  Constant Field Values

#### SQ_SGKDESCRIBE

    protected static final short SQ_SGKDESCRIBE

See Also:
  Constant Field Values

#### SQ_SGKTUPLE

    protected static final short SQ_SGKTUPLE

See Also:
  Constant Field Values

#### SQ_SQLISETSVPT

    protected static final short SQ_SQLISETSVPT

See Also:
  Constant Field Values

#### SQ_SQLIRELSVPT

    protected static final short SQ_SQLIRELSVPT

See Also:
  Constant Field Values

#### SQ_SQLIRBACKSVPT

    protected static final short SQ_SQLIRBACKSVPT

See Also:
  Constant Field Values

#### SQ_MAXNUM

    protected static final short SQ_MAXNUM

See Also:
  Constant Field Values

#### SQ_BATCHSTART

    protected static final short SQ_BATCHSTART

See Also:
  Constant Field Values

#### SQ_BATCHEND

    protected static final short SQ_BATCHEND

See Also:
  Constant Field Values

#### SQ_INVOKE

    protected static final short SQ_INVOKE

See Also:
  Constant Field Values

#### SQ_REPLY

    protected static final short SQ_REPLY

See Also:
  Constant Field Values

#### SQ_EXCEPTION

    protected static final short SQ_EXCEPTION

See Also:
  Constant Field Values

#### SQ_VERSION_REQ

    protected static final short SQ_VERSION_REQ

See Also:
  Constant Field Values

#### SQ_VERSION_REPLY

    protected static final short SQ_VERSION_REPLY

See Also:
  Constant Field Values

#### SQ_AMFPARAM

    protected static final short SQ_AMFPARAM

See Also:
  Constant Field Values

#### INFO_DONE

    protected static final short INFO_DONE

See Also:
  Constant Field Values

#### INFO_REQUEST

    protected static final short INFO_REQUEST

See Also:
  Constant Field Values

#### INFO_VERSION

    protected static final short INFO_VERSION

See Also:
  Constant Field Values

#### INFO_TYPE

    protected static final short INFO_TYPE

See Also:
  Constant Field Values

#### INFO_CAPABILITY

    protected static final short INFO_CAPABILITY

See Also:
  Constant Field Values

#### INFO_DB

    protected static final short INFO_DB

See Also:
  Constant Field Values

#### INFO_ENV

    protected static final short INFO_ENV

See Also:
  Constant Field Values

#### INFO_MAX

    protected static final short INFO_MAX

See Also:
  Constant Field Values

### Constructor Detail

#### IfxMessageTypes

    public IfxMessageTypes()